<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/pwm.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">pwm.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series PWM driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for pwm.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/ddc/pwm_8c__incl.png" border="0" usemap="#a_std_driver_2src_2pwm_8c" alt=""/></div>
</div>
</div>
<p><a href="../../de/d5c/pwm_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga5b5c5326f7052513e1b5eec1f71b30c8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5b5c5326f7052513e1b5eec1f71b30c8">PWM_ConfigOutputChannel</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Frequency, uint32_t u32DutyCycle)</td></tr>
<tr class="memdesc:ga5b5c5326f7052513e1b5eec1f71b30c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function config PWM generator and get the nearest frequency in edge aligned auto-reload mode.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5b5c5326f7052513e1b5eec1f71b30c8">More...</a><br /></td></tr>
<tr class="separator:ga5b5c5326f7052513e1b5eec1f71b30c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2d11697fa73308d4f5ae8ee67c0c7a55"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d11697fa73308d4f5ae8ee67c0c7a55">PWM_ConfigCaptureChannel</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32UnitTimeNsec, uint32_t u32CaptureEdge)</td></tr>
<tr class="memdesc:ga2d11697fa73308d4f5ae8ee67c0c7a55"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function config PWM capture and get the nearest unit time.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d11697fa73308d4f5ae8ee67c0c7a55">More...</a><br /></td></tr>
<tr class="separator:ga2d11697fa73308d4f5ae8ee67c0c7a55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba7d1c58227b988404d3491388abe31f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba7d1c58227b988404d3491388abe31f">PWM_Start</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:gaba7d1c58227b988404d3491388abe31f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function start PWM module.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba7d1c58227b988404d3491388abe31f">More...</a><br /></td></tr>
<tr class="separator:gaba7d1c58227b988404d3491388abe31f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga066d00c26f6a319314be5dd2c3047990"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga066d00c26f6a319314be5dd2c3047990">PWM_Stop</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:ga066d00c26f6a319314be5dd2c3047990"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop PWM module.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga066d00c26f6a319314be5dd2c3047990">More...</a><br /></td></tr>
<tr class="separator:ga066d00c26f6a319314be5dd2c3047990"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga05a6be33c690157c4bc87f0688e2f9cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga05a6be33c690157c4bc87f0688e2f9cb">PWM_ForceStop</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:ga05a6be33c690157c4bc87f0688e2f9cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop PWM generation immediately by clear channel enable bit.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga05a6be33c690157c4bc87f0688e2f9cb">More...</a><br /></td></tr>
<tr class="separator:ga05a6be33c690157c4bc87f0688e2f9cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd20833cfab9a95006028b4a2bfad6a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd20833cfab9a95006028b4a2bfad6a4">PWM_EnableADCTrigger</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Condition)</td></tr>
<tr class="memdesc:gafd20833cfab9a95006028b4a2bfad6a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable selected channel to trigger ADC.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd20833cfab9a95006028b4a2bfad6a4">More...</a><br /></td></tr>
<tr class="separator:gafd20833cfab9a95006028b4a2bfad6a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga20c0cb1f9c6ddbe739efe3445aab3f74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga20c0cb1f9c6ddbe739efe3445aab3f74">PWM_DisableADCTrigger</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga20c0cb1f9c6ddbe739efe3445aab3f74"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable selected channel to trigger ADC.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga20c0cb1f9c6ddbe739efe3445aab3f74">More...</a><br /></td></tr>
<tr class="separator:ga20c0cb1f9c6ddbe739efe3445aab3f74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f3c635b9a22f2ba972264d6bad89948"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f3c635b9a22f2ba972264d6bad89948">PWM_ClearADCTriggerFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Condition)</td></tr>
<tr class="memdesc:ga1f3c635b9a22f2ba972264d6bad89948"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clear selected channel trigger ADC flag.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f3c635b9a22f2ba972264d6bad89948">More...</a><br /></td></tr>
<tr class="separator:ga1f3c635b9a22f2ba972264d6bad89948"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga744d43fd2e38d605ece81b7f2c645408"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga744d43fd2e38d605ece81b7f2c645408">PWM_GetADCTriggerFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga744d43fd2e38d605ece81b7f2c645408"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get selected channel trigger ADC flag.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga744d43fd2e38d605ece81b7f2c645408">More...</a><br /></td></tr>
<tr class="separator:ga744d43fd2e38d605ece81b7f2c645408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1621caaef12796182bda60ea4e7377b3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1621caaef12796182bda60ea4e7377b3">PWM_EnableCapture</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:ga1621caaef12796182bda60ea4e7377b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables PWM capture of selected channels.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1621caaef12796182bda60ea4e7377b3">More...</a><br /></td></tr>
<tr class="separator:ga1621caaef12796182bda60ea4e7377b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7489f70aaa949018de6fbb925717802f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7489f70aaa949018de6fbb925717802f">PWM_DisableCapture</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:ga7489f70aaa949018de6fbb925717802f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables PWM capture of selected channels.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7489f70aaa949018de6fbb925717802f">More...</a><br /></td></tr>
<tr class="separator:ga7489f70aaa949018de6fbb925717802f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8352c03341d770623730dc38e4dc06d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8352c03341d770623730dc38e4dc06d">PWM_EnableOutput</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:gac8352c03341d770623730dc38e4dc06d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables PWM output generation of selected channels.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8352c03341d770623730dc38e4dc06d">More...</a><br /></td></tr>
<tr class="separator:gac8352c03341d770623730dc38e4dc06d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa1f51bdd5b9c5f0d787c16b30ba335ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa1f51bdd5b9c5f0d787c16b30ba335ec">PWM_DisableOutput</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:gaa1f51bdd5b9c5f0d787c16b30ba335ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables PWM output generation of selected channels.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa1f51bdd5b9c5f0d787c16b30ba335ec">More...</a><br /></td></tr>
<tr class="separator:gaa1f51bdd5b9c5f0d787c16b30ba335ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b5c77cb068468a5d240507dc4ec58b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b5c77cb068468a5d240507dc4ec58b1">PWM_EnableDeadZone</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Duration)</td></tr>
<tr class="memdesc:ga1b5c77cb068468a5d240507dc4ec58b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable Dead zone of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b5c77cb068468a5d240507dc4ec58b1">More...</a><br /></td></tr>
<tr class="separator:ga1b5c77cb068468a5d240507dc4ec58b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b67381d2e6604e2d52dc1b4ded0ac79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9b67381d2e6604e2d52dc1b4ded0ac79">PWM_DisableDeadZone</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga9b67381d2e6604e2d52dc1b4ded0ac79"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable Dead zone of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9b67381d2e6604e2d52dc1b4ded0ac79">More...</a><br /></td></tr>
<tr class="separator:ga9b67381d2e6604e2d52dc1b4ded0ac79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8737c77d70ce330857769a032520464"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8737c77d70ce330857769a032520464">PWM_EnableCaptureInt</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Edge)</td></tr>
<tr class="memdesc:gaf8737c77d70ce330857769a032520464"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable capture interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8737c77d70ce330857769a032520464">More...</a><br /></td></tr>
<tr class="separator:gaf8737c77d70ce330857769a032520464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga519eb2f39edce4c0181abc2e4753fd72"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga519eb2f39edce4c0181abc2e4753fd72">PWM_DisableCaptureInt</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga519eb2f39edce4c0181abc2e4753fd72"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable capture interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga519eb2f39edce4c0181abc2e4753fd72">More...</a><br /></td></tr>
<tr class="separator:ga519eb2f39edce4c0181abc2e4753fd72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f2ad27c5dade93b09856965923537fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f2ad27c5dade93b09856965923537fb">PWM_ClearCaptureIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga1f2ad27c5dade93b09856965923537fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clear capture interrupt flag of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f2ad27c5dade93b09856965923537fb">More...</a><br /></td></tr>
<tr class="separator:ga1f2ad27c5dade93b09856965923537fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae1c99b5c4b0bab58c75bd5f5b3686886"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1c99b5c4b0bab58c75bd5f5b3686886">PWM_GetCaptureIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:gae1c99b5c4b0bab58c75bd5f5b3686886"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get capture interrupt flag of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1c99b5c4b0bab58c75bd5f5b3686886">More...</a><br /></td></tr>
<tr class="separator:gae1c99b5c4b0bab58c75bd5f5b3686886"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8dfd6748955d93c79ea7943e66693e57"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8dfd6748955d93c79ea7943e66693e57">PWM_ClearDutyIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga8dfd6748955d93c79ea7943e66693e57"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears duty interrupt flag of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8dfd6748955d93c79ea7943e66693e57">More...</a><br /></td></tr>
<tr class="separator:ga8dfd6748955d93c79ea7943e66693e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga998c9f9ff8209befaa5b96bb716ee039"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga998c9f9ff8209befaa5b96bb716ee039">PWM_GetDutyIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga998c9f9ff8209befaa5b96bb716ee039"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get duty interrupt flag of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga998c9f9ff8209befaa5b96bb716ee039">More...</a><br /></td></tr>
<tr class="separator:ga998c9f9ff8209befaa5b96bb716ee039"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95951d94cf385aea3067fe197d33cdd2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95951d94cf385aea3067fe197d33cdd2">PWM_EnablePeriodInt</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32IntPeriodType)</td></tr>
<tr class="memdesc:ga95951d94cf385aea3067fe197d33cdd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable period interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95951d94cf385aea3067fe197d33cdd2">More...</a><br /></td></tr>
<tr class="separator:ga95951d94cf385aea3067fe197d33cdd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f6f4ca64e6d9fcb16d6856274918871"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3f6f4ca64e6d9fcb16d6856274918871">PWM_DisablePeriodInt</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga3f6f4ca64e6d9fcb16d6856274918871"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable period interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3f6f4ca64e6d9fcb16d6856274918871">More...</a><br /></td></tr>
<tr class="separator:ga3f6f4ca64e6d9fcb16d6856274918871"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac655465d151aeb2c2356b560c660e860"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac655465d151aeb2c2356b560c660e860">PWM_ClearPeriodIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:gac655465d151aeb2c2356b560c660e860"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clear period interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac655465d151aeb2c2356b560c660e860">More...</a><br /></td></tr>
<tr class="separator:gac655465d151aeb2c2356b560c660e860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae1e00a27b810b68d4f5d971e45180a33"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1e00a27b810b68d4f5d971e45180a33">PWM_GetPeriodIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:gae1e00a27b810b68d4f5d971e45180a33"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get period interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1e00a27b810b68d4f5d971e45180a33">More...</a><br /></td></tr>
<tr class="separator:gae1e00a27b810b68d4f5d971e45180a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b2d1ff29fabd000bfc4eb334f02a959"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2d1ff29fabd000bfc4eb334f02a959">PWM_EnablePDMA</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32RisingFirst, uint32_t u32Mode)</td></tr>
<tr class="memdesc:ga1b2d1ff29fabd000bfc4eb334f02a959"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable capture PDMA of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2d1ff29fabd000bfc4eb334f02a959">More...</a><br /></td></tr>
<tr class="separator:ga1b2d1ff29fabd000bfc4eb334f02a959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2925fa7b1ebc598a283eaeb4cc78e7b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2925fa7b1ebc598a283eaeb4cc78e7b">PWM_DisablePDMA</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:gab2925fa7b1ebc598a283eaeb4cc78e7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable capture PDMA of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2925fa7b1ebc598a283eaeb4cc78e7b">More...</a><br /></td></tr>
<tr class="separator:gab2925fa7b1ebc598a283eaeb4cc78e7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series PWM driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>15 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>14/11/27 7:10p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../de/d5c/pwm_8c_source.html">pwm.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
